- Update social asset (full merge via service; same semantics as API v2 body)
Create social asset
Start async asset import from URL
Poll async import task status
Create or update social template asset
Read social asset by id
Partial update of social asset
Delete social asset
Update social asset (full...
Security
bearerAuth and apiKeyAuth
Type of the asset.
Enum:"PRESENTATION""PHOTO""VIDEO""AUDIO""FLASH""HTML""PDF""DOC""DOCX""EXCEL"
- Mock serverhttps://developer.sprinklr.com/_mock/apis/sprinklr-v3/sam
- Production Serverhttps://api3.sprinklr.com/prod/api/v3/sam
curl -i -X PUT \
https://developer.sprinklr.com/_mock/apis/sprinklr-v3/sam \
-H 'Authorization: Bearer <YOUR_Token_HERE>' \
-H 'Content-Type: application/json' \
-H 'Key: YOUR_API_KEY_HERE' \
-d '{
"id": "string",
"name": "string",
"description": "string",
"status": "string",
"taxonomy": {
"name": "string",
"campaignId": "string",
"subCampaignId": "string",
"clientCustomProperties": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"partnerCustomProperties": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"tags": [
"string"
],
"urlShortenerId": "string"
},
"insights": {
"property1": 0.1,
"property2": 0.1
},
"validity": {
"expiryTime": 0,
"availableFrom": 0,
"neverExpire": true,
"visibleFrom": 0,
"visibleTill": 0
},
"parentId": "string",
"assetSource": "string",
"sourceId": "string",
"externalMediaId": "string",
"actionStats": {
"property1": 0.1,
"property2": 0.1
},
"shareConfigs": [
{
"type": "string",
"ids": [
"string"
]
}
],
"restricted": true,
"locked": true,
"createdTime": 0,
"modifiedTime": 0,
"defaultLocale": "string",
"langVsTranslatedFieldValues": {
"property1": {
"property1": "string",
"property2": "string"
},
"property2": {
"property1": "string",
"property2": "string"
}
},
"approvedByUser": 0,
"createdByUser": 0,
"versionId": 0,
"assetType": "PRESENTATION",
"attachment": {
"type": "IMAGE",
"assetId": "string",
"attachmentOptions": [
{
"channelType": "FACEBOOK",
"accountId": 0,
"embeddable": true,
"category": "string",
"noStory": true,
"secret": true,
"blockSocialActions": true,
"expirationEnabled": true,
"expirationDate": 0,
"deletePost": true
}
],
"url": "string",
"urlHash": "string",
"title": "string",
"description": "string",
"previewUrl": "string",
"hashedPreviewUrl": "string",
"mimeType": "string",
"alternateText": "string",
"height": 0.1,
"width": 0.1,
"encryptedUrl": "string",
"sizeInBytes": 0
},
"lastModifiedById": 0,
"reportingStats": {
"property1": 0.1,
"property2": 0.1
}
}'